Hoppa till innehållet

Hashgenerator

Webb och utveckling

Hur får du hashvärdet för en text?

SHA-256-, SHA-512-, SHA-1- och MD5-hashvärden för valfri text, beräknade i webbläsaren.

Fil, jämförelse och kodning

Du kan också klistra in en fil. Filerna stannar på din enhet.

Visa hashvärdet som

Klistra in väntat hashvärde: hex eller Base64. Mellanslag och kolon ignoreras.

Hashvärde för SHA-256

–

256 bitar

Sponsrade länkar

SHA-256-, SHA-512-, SHA-1- och MD5-hashvärden för valfri text, beräknade i webbläsaren.

Så använder du verktyget

  1. Välj algoritm. SHA-256 är det vanliga valet idag.
  2. Skriv eller klistra in texten.
  3. Kopiera hashvärdet. Kontrollera ett hashvärde du fått genom att klistra in det i Hashvärde att jämföra med.

MD5-referensvärden för kort ASCII-text

TextMD5 (hex)
a0cc175b9c0f1b6a831c399e269772661
abc900150983cd24fb0d6963f7d28e17f72
message digestf96b697d7cb7938d525a2f31aaf161d0
abcdefghijklmnopqrstuvwxyzc3fcd3d76192e4007dfb496cca67e13b
1234567890e807f1fcf82d132f9bb018ca6738a19f

Endast referensexempel; MD5 passar inte för säkerhetskontroller.

Sponsrade länkar

Så fungerar det

Ett hashvärde är ett kort fingeravtryck av data. Samma indata ger alltid samma hashvärde, men ändra ett enda tecken så ändras hashvärdet helt. Det går inte att återskapa datan från hashvärdet. Därför är hashvärden praktiska för att kontrollera att data kommit fram oförändrad, hitta dubbletter och lagra fingeravtryck i stället för själva datan.

SHA-1, SHA-256, SHA-384 och SHA-512 är Secure Hash Algorithms enligt FIPS 180-4 och ger 160, 256, 384 respektive 512 bitar. Till exempel börjar SHA-256-hashvärdet för abc med ba7816bf (RFC 6234). MD5 (RFC 1321) ger 128 bitar. Text hashas som UTF-8 och resultatet skrivs som hex eller Base64.

MD5 och SHA-1 är inte säkra eftersom olika data med samma hashvärde kan skapas avsiktligt (RFC 6151 för MD5, RFC 6194 för SHA-1). De upptäcker fortfarande oavsiktliga skador, så många nedladdningssidor anger dem ännu. Hashning är inte heller kryptering och räcker inte ensam för att lagra lösenord. Texten hashas i webbläsaren och laddas aldrig upp.

Vanliga frågor

Vilken algoritm ska jag använda?

SHA-256 för nästan allt. Använd MD5 eller SHA-1 bara när något annat, till exempel en äldre nedladdningssida, kräver dem.

Varför skiljer sig mitt hashvärde från det jag fått?

Kontrollera att du valt samma algoritm och att texten är exakt densamma, inklusive mellanslag och radbrytningar. Ett enda ändrat tecken ger ett helt annat hashvärde. Jämförelsefältet visar direkt om de matchar.

Kan ett hashvärde omvandlas tillbaka till texten?

Nej. Hashning kastar bort information. Korta eller vanliga texter kan gissas genom många försök, så lita inte på ett vanligt hashvärde för att dölja ett lösenord.

Ändrar en radbrytning hashvärdet?

Ja. En radbrytning ingår i indata, så en i övrigt identisk text kan ge ett annat hashvärde.

Är hex och Base64 olika hashvärden?

Nej. De är två sätt att skriva samma byte i hashvärdet. Välj kodningen som jämförelsevärdet använder.

Sponsrade länkar

Sponsrade länkar